gstreamermm: Gst::UriDecodeBin Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::UriDecodeBin Class Reference
[gstreamermm Plugins]

A Wrapper for the uridecodebin plugin. More...

Inherits Gst::Bin.

Collaboration diagram for Gst::UriDecodeBin:
[legend]

List of all members.

## Public Member Functions
virtual | ~UriDecodeBin ()
GstURIDecodeBin* | gobj ()
| Provides access to the underlying C GObject.
const GstURIDecodeBin* | gobj () const
| Provides access to the underlying C GObject.
GstURIDecodeBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_uri ()
| URI to decode.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_uri () const
| URI to decode.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_source () const
| Source object used.
Glib::PropertyProxy< guint > | property_connection_speed ()
| Network connection speed in kbps (0 = unknown).
Glib::PropertyProxy_ReadOnly < guint > | property_connection_speed () const
| Network connection speed in kbps (0 = unknown).
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_caps ()
| The caps on which to stop decoding.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_caps () const
| The caps on which to stop decoding.
Glib::PropertyProxy < Glib::ustring > | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy< int > | property_buffer_size ()
| Buffer size when buffering streams (-1 default value).
Glib::PropertyProxy_ReadOnly< int > | property_buffer_size () const
| Buffer size when buffering streams (-1 default value).
Glib::PropertyProxy< gint64 > | property_buffer_duration ()
| Buffer duration when buffering streams (-1 default value).
Glib::PropertyProxy_ReadOnly < gint64 > | property_buffer_duration () const
| Buffer duration when buffering streams (-1 default value).
Glib::PropertyProxy< bool > | property_download ()
| Attempt download buffering when buffering network streams.
Glib::PropertyProxy_ReadOnly < bool > | property_download () const
| Attempt download buffering when buffering network streams.
Glib::PropertyProxy< bool > | property_use_buffering ()
| Perform buffering on demuxed/parsed media.
Glib::PropertyProxy_ReadOnly < bool > | property_use_buffering () const
| Perform buffering on demuxed/parsed media.
Glib::PropertyProxy< bool > | property_expose_all_streams ()
| Expose all streams, including those of unknown type or that don't match the 'caps' property.
Glib::PropertyProxy_ReadOnly < bool > | property_expose_all_streams () const
| Expose all streams, including those of unknown type or that don't match the 'caps' property.
Glib::SignalProxy2< void, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_unknown_type ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_autoplug_continue ()
Glib::SignalProxy2 < Glib::ValueArray, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_autoplug_factories ()
Glib::SignalProxy3 < Gst::AutoplugSelectResult, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >&, const Glib::RefPtr < Gst::ElementFactory >& > | signal_autoplug_select ()
Glib::SignalProxy0< void > | signal_drained ()
## Static Public Member Functions
static Glib::RefPtr< UriDecodeBin > | create ()
| Creates a new uridecodebin plugin with a unique name.
static Glib::RefPtr< UriDecodeBin > | create (const Glib::ustring& name)
| Creates a new uridecodebin plugin with the given name.
## Protected Member Functions
| UriDecodeBin ()
| UriDecodeBin (const Glib::ustring& name)
virtual void | on_unknown_type (const Glib::RefPtr< Gst::Pad >& arg0, const Glib::RefPtr< Gst::Caps >& arg1)
virtual bool | on_autoplug_continue (const Glib::RefPtr< Gst::Pad >& arg0, const Glib::RefPtr< Gst::Caps >& arg1)
virtual Glib::ValueArray | on_autoplug_factories (const Glib::RefPtr< Gst::Pad >& arg0, const Glib::RefPtr< Gst::Caps >& arg1)
virtual Gst::AutoplugSelectResult | on_autoplug_select (const Glib::RefPtr< Gst::Pad >& arg0, const Glib::RefPtr< Gst::Caps >& arg1, const Glib::RefPtr< Gst::ElementFactory >& arg2)
virtual void | on_drained ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::UriDecodeBin > | wrap (GstURIDecodeBin* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the uridecodebin plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::UriDecodeBin::~UriDecodeBin | ( |  | ) | `[virtual]`

Gst::UriDecodeBin::UriDecodeBin | ( |  | ) | `[protected]`

Gst::UriDecodeBin::UriDecodeBin | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<UriDecodeBin> Gst::UriDecodeBin::create | ( |  | ) | `[static]`

Creates a new uridecodebin plugin with a unique name.

Reimplemented from Gst::Bin.

static Glib::RefPtr<UriDecodeBin> Gst::UriDecodeBin::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new uridecodebin plugin with the given name.

Reimplemented from Gst::Bin.

const GstURIDecodeBin* Gst::UriDecodeBin::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

GstURIDecodeBin* Gst::UriDecodeBin::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

GstURIDecodeBin* Gst::UriDecodeBin::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Bin.

virtual bool Gst::UriDecodeBin::on_autoplug_continue | ( | const Glib::RefPtr< Gst::Pad >& | arg0,
|  | const Glib::RefPtr< Gst::Caps >& | arg1 |
| ) |  |  | `[protected, virtual]`

virtual Glib::ValueArray Gst::UriDecodeBin::on_autoplug_factories | ( | const Glib::RefPtr< Gst::Pad >& | arg0,
|  | const Glib::RefPtr< Gst::Caps >& | arg1 |
| ) |  |  | `[protected, virtual]`

virtual Gst::AutoplugSelectResult Gst::UriDecodeBin::on_autoplug_select | ( | const Glib::RefPtr< Gst::Pad >& | arg0,
|  | const Glib::RefPtr< Gst::Caps >& | arg1,
|  | const Glib::RefPtr< Gst::ElementFactory >& | arg2 |
| ) |  |  | `[protected, virtual]`

virtual void Gst::UriDecodeBin::on_drained | ( |  | ) | `[protected, virtual]`

virtual void Gst::UriDecodeBin::on_unknown_type | ( | const Glib::RefPtr< Gst::Pad >& | arg0,
|  | const Glib::RefPtr< Gst::Caps >& | arg1 |
| ) |  |  | `[protected, virtual]`

Glib::PropertyProxy<gint64> Gst::UriDecodeBin::property_buffer_duration | ( |  | ) |

Buffer duration when buffering streams (-1 default value).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<gint64> Gst::UriDecodeBin::property_buffer_duration | ( |  | ) | const

Buffer duration when buffering streams (-1 default value).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::UriDecodeBin::property_buffer_size | ( |  | ) | const

Buffer size when buffering streams (-1 default value).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::UriDecodeBin::property_buffer_size | ( |  | ) |

Buffer size when buffering streams (-1 default value).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::UriDecodeBin::property_caps | ( |  | ) |

The caps on which to stop decoding.

(NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::UriDecodeBin::property_caps | ( |  | ) | const

The caps on which to stop decoding.

(NULL = default).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Gst::UriDecodeBin::property_connection_speed | ( |  | ) |

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Gst::UriDecodeBin::property_connection_speed | ( |  | ) | const

Network connection speed in kbps (0 = unknown).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::UriDecodeBin::property_download | ( |  | ) |

Attempt download buffering when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::UriDecodeBin::property_download | ( |  | ) | const

Attempt download buffering when buffering network streams.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::UriDecodeBin::property_expose_all_streams | ( |  | ) |

Expose all streams, including those of unknown type or that don't match the 'caps' property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::UriDecodeBin::property_expose_all_streams | ( |  | ) | const

Expose all streams, including those of unknown type or that don't match the 'caps' property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::UriDecodeBin::property_source | ( |  | ) | const

Source object used.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::UriDecodeBin::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::UriDecodeBin::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gst::UriDecodeBin::property_uri | ( |  | ) |

URI to decode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::UriDecodeBin::property_uri | ( |  | ) | const

URI to decode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::UriDecodeBin::property_use_buffering | ( |  | ) |

Perform buffering on demuxed/parsed media.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::UriDecodeBin::property_use_buffering | ( |  | ) | const

Perform buffering on demuxed/parsed media.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2< bool,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::UriDecodeBin::signal_autoplug_continue | ( |  | ) |

Prototype:
  `bool on_my_autoplug_continue(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

Glib::SignalProxy2< Glib::ValueArray,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::UriDecodeBin::signal_autoplug_factories | ( |  | ) |

Prototype:
  `Glib::ValueArray on_my_autoplug_factories(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

Glib::SignalProxy3< Gst::AutoplugSelectResult,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>&,const Glib::RefPtr<Gst::ElementFactory>& > Gst::UriDecodeBin::signal_autoplug_select | ( |  | ) |

Prototype:
  `Gst::AutoplugSelectResult on_my_autoplug_select(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1, const Glib::RefPtr<Gst::ElementFactory>& arg2)`

Glib::SignalProxy0< void > Gst::UriDecodeBin::signal_drained | ( |  | ) |

Prototype:
  `void on_my_drained()`

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::UriDecodeBin::signal_unknown_type | ( |  | ) |

Prototype:
  `void on_my_unknown_type(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::UriDecodeBin > wrap | ( | GstURIDecodeBin * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/uridecodebin.h